Subject: Re: [PATCH] Use wc instead of awk to count subtrees in t0090-cache-tree

From: Jonathan Nieder <[email-masked]>
Date: Mon, 22 Dec 2014 15:38:07 -0800

Junio C Hamano wrote:
> Junio C Hamano <[email-masked]> writes:

>> From: Ben Walton <[email-masked]>
>>
>> The awk statements previously used in this test weren't compatible
>> with the native versions of awk on Solaris:
>>
>>     echo "dir" | /bin/awk -v c=0 '$1 {++c} END {print c}'
>>     awk: syntax error near line 1
>>     awk: bailing out near line 1

If I were doing it, I'd leave the above four lines out --- they are
describing an unrelated problem.  I wonder if we should make the test
harness respect SANE_TOOL_PATH to avoid that kind of problem in the
future.

[...]
> heh, not like that without updating the subject, perhaps like this:
>
> Subject: t0090: tweak awk statement for Solaris /usr/xpg4/bin/awk

With the updated subject,

Reviewed-by: Jonathan Nieder <[email-masked]>

Thanks.